Open a payment-link session
curl --request POST \
--url https://api.arcenpay.com/api/v1/public/payment-links/{slug}/session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payerWallet": "<string>",
"customerName": "<string>",
"customerEmail": "<string>",
"isAgentic": true
}
'import requests
url = "https://api.arcenpay.com/api/v1/public/payment-links/{slug}/session"
payload = {
"payerWallet": "<string>",
"customerName": "<string>",
"customerEmail": "<string>",
"isAgentic": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payerWallet: '<string>',
customerName: '<string>',
customerEmail: '<string>',
isAgentic: true
})
};
fetch('https://api.arcenpay.com/api/v1/public/payment-links/{slug}/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session": {
"id": "<string>",
"status": "PENDING",
"purpose": "ADDON",
"amount": "<string>",
"currency": "<string>",
"acceptedToken": "<string>",
"chainId": 123,
"customerWallet": "<string>",
"recipientWallet": "<string>",
"paymentLinkId": "<string>",
"companyId": "<string>"
}
}Public specs
Open a payment-link session
Initiates a checkout session for a payment link. Public, no auth.
POST
/
public
/
payment-links
/
{slug}
/
session
Open a payment-link session
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
201 - application/json
Checkout session
Show child attributes
Show child attributes
Last modified on September 19, 2026

